#
# spec file for package perl-libwww-perl (Version 5.837)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           perl-libwww-perl
%define cpan_name libwww-perl
Summary:        The World-Wide Web library for Perl
Version:        5.837
Release:        1
License:        GPL+, Artistic License
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/libwww-perl/
#Source:         http://www.cpan.org/modules/by-module/libwww/libwww-perl-%{version}.tar.gz
Source:         %{cpan_name}-%{version}.tar.bz2
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
%if 0%{?suse_version} < 1120
BuildRequires:  perl-macros
%endif
BuildRequires:  perl(Crypt::SSLeay)
BuildRequires:  perl(Compress::Raw::Zlib)
BuildRequires:  perl(Digest::MD5)
BuildRequires:  perl(HTML::Parser) >= 3.33
BuildRequires:  perl(HTML::Tagset)
BuildRequires:  perl(IO::Compress::Gzip)
BuildRequires:  perl(IO::Compress::Deflate)
BuildRequires:  perl(IO::Uncompress::Gunzip)
BuildRequires:  perl(IO::Uncompress::Inflate)
BuildRequires:  perl(IO::Uncompress::RawInflate)
BuildRequires:  perl(URI) >= 1.10
%{perl_requires}
Requires:       perl(Compress::Raw::Zlib)
Requires:       perl(Crypt::SSLeay)
Requires:       perl(Digest::MD5)
Requires:       perl(HTML::Parser) >= 3.33
Requires:       perl(HTML::Tagset)
Requires:       perl(IO::Compress::Gzip)
Requires:       perl(IO::Compress::Deflate)
Requires:       perl(IO::Uncompress::Gunzip)
Requires:       perl(IO::Uncompress::Inflate)
Requires:       perl(IO::Uncompress::RawInflate)
Requires:       perl(URI) >= 1.10

%description
The libwww-perl collection is a set of Perl modules which provides a
simple and consistent application programming interface to the World-Wide
Web.  The main focus of the library is to provide classes and functions
that allow you to write WWW clients. The library also contain modules that
are of more general use and even classes that help you implement simple
HTTP servers.


Authors:
--------
    Gisle Aas <gisle@aas.no>
    Martijn Koster

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
#disable test that require network connection
mv t/live/jigsaw-chunk.t t/live/jigsaw-chunk.tt
mv t/live/jigsaw-md5.t t/live/jigsaw-md5.tt
mv t/live/jigsaw-md5-get.t t/live/jigsaw-md5-get.tt
%{__make} test

%install
%perl_make_install
# remove .packlist file
%{__rm} -rf $RPM_BUILD_ROOT%perl_vendorarch
# remove perllocal.pod file
%{__rm} -rf $RPM_BUILD_ROOT%perl_archlib
%perl_gen_filelist

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files -f %{name}.files
%defattr(-,root,root,-)
%doc AUTHORS Changes README README.SSL talk-to-ourself

%changelog
